import DefaultOverlay from "./default-overlay.svelte";
import { ModalInstance } from "./modal-instance";
export class ModalManager {
    modals = {};
    open(config, props) {
        this.modals[config.id] = new ModalInstance(config);
        this.modals[config.id].manager = this;
        this.modals[config.id].overlay = new DefaultOverlay({
            target: document.body,
            props: {
                instance: this.modals[config.id]
            }
        });
    }
    close(id) {
        this.modals[id].overlay.$destroy();
        delete this.modals[id];
    }
    show(id) {
        this.modals[id].overlay.style.display = "block";
    }
    hide(id) {
        this.modals[id].overlay.style.display = "none";
    }
}
